| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Digikam::GeolocationSettingsContainer Class Reference

The class GeolocationSettingsContainer encapsulates all Marble related settings.

## Public Member Functions
void | readFromConfig (const KConfigGroup &group)
void | writeToConfig (KConfigGroup &group) const

## Public Attributes
Marble::AngleUnit | angleUnit = Marble::DecimalDegree
Marble::MapQuality | animationQuality = Marble::LowQuality
MarbleLocale::MeasurementSystem | distanceUnit = MarbleLocale::MetricSystem
bool | inertialRotation = true
QFont | mapFont
bool | mouseRotation = true
int | persistentTileCacheLimit = 999999
bool | showAtmos = false
bool | showCities = true
bool | showCross = true
bool | showGrid = true
bool | showRelief = true
bool | showSunShading = false
Marble::MapQuality | stillQuality = Marble::HighQuality
int | volatileTileCacheLimit = 100